# namespace_entry.hpp File Reference

`#include <string>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/object.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/task.hpp>`
`#include <saga/saga/permissions.hpp>`
`#include <saga/saga/url.hpp>`
`#include <saga/saga/packages/namespace/config.hpp>`
`#include <saga/saga/detail/monitorable.hpp>`
`#include <saga/saga/detail/permissions.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::name_space
## Classes
class | saga::name_space::entry
| An RNS entry that interconnects a reference to an existing resource into the hierarchical name space. More...
## Enumerations
enum | saga::name_space::flags { saga::name_space::Unknown = -1, saga::name_space::None = 0, saga::name_space::Overwrite = 1, saga::name_space::Recursive = 2, saga::name_space::Dereference = 4, saga::name_space::Create = 8, saga::name_space::Exclusive = 16, saga::name_space::Lock = 32, saga::name_space::CreateParents = 64, saga::name_space::Read = 512, saga::name_space::Write = 1024, saga::name_space::ReadWrite = Read | Write }
| The flags describe the properties of several operations on namespace entries. More...